はじめまして。市村と申します。

ruby は前から FreeBSD 上で利用させて頂いておりましたが、
今回、仕事の都合で SCO UnixWare 7.1.1 上で利用させていた
だく事にしました。

そこで、最新版の 1.4.4 を configure してコンパイルをして
いると、eval.c 内の thread_t が、UnixWare が
/usr/include/sys/types.h で定義している thread_t とぶつか
るため、エラーが出てしまいます。

単純な名前の衝突ならと、thread_t を rb_thread_t に書き換
えてコンパイルを続け、実行ファイルを作成しました。また
make test も一応通っています。

そこで質問なのですが、このような変更によって、後から作成
する拡張ライブラリ等へ悪影響を与えないでしょうか?ご教示
頂ければ幸いです。

もし問題がないものであれば、configure スクリプトへの変更
も少々行いましたので、パッチの形で提供させて頂こうとと考
えています。

では、失礼します。

/*
 * 北海道大学 工学研究科・工学部
 * 教務課 教務掛 技官
 * 市村 光康 (ichimura / jimu.hokudai.ac.jp)
 * Tel : 011-706-6119  Fax : 011-706-6141
 */